Announcements

Update an announcement

Update an announcement already published.

Required scope announces:edit

patch/announcements/{id}

Authorizations

Authorizationstringrequired

Authorization header carrying a workspace API key, as “Bearer kbn_live_…”. The X-Api-Key header is accepted equivalently.

Path parameters

idstring<uuid>required

Identifier of the announcement.

Bodyapplication/json

titlestring

Title shown to users.

contentstring

Body of the announcement.

typestring

Kind of announcement.

startDatestring<date-time>

When the announcement starts being shown.

endDatestring<date-time>

When the announcement stops being shown.

teamsstring<uuid>[]

Teams the announcement is addressed to.

appstring<uuid>

Application the announcement relates to.

Response200 · application/json

The updated announcement.

idstring<uuid>required

Identifier of the announcement.

titlestringrequired

Title shown to users.

contentstringrequired

Body of the announcement.

typestringrequired

Kind of announcement.

teamsstring<uuid>[]

Teams the announcement is addressed to.

appstring<uuid> | null

Application the announcement relates to.

startDatestring<date-time>required

When the announcement starts being shown.

endDatestring<date-time> | null

When the announcement stops being shown.

createdAtstring<date-time>

Timestamp the announcement was created.

updatedAtstring<date-time>

Timestamp of the last change.

seenCountinteger

Number of users who saw the announcement.

likeCountinteger

Number of positive reactions.

dislikeCountinteger

Number of negative reactions.

likeRationumber | null

Share of positive reactions.